<?php
/**
 * File for class DhlApiStructArrayOfPiecedefinition
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
/**
 * This class stands for DhlApiStructArrayOfPiecedefinition originally named ArrayOfPiecedefinition
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://dhl24.com.pl/webapi2.html}
 * @package DhlApi
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20140325-01
 * @date 2015-02-05
 */
class DhlApiStructArrayOfPiecedefinition extends DhlApiWsdlClass
{
    /**
     * The item
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var DhlApiStructPieceDefinition
     */
    public $item;
    /**
     * Constructor method for ArrayOfPiecedefinition
     * @see parent::__construct()
     * @param DhlApiStructPieceDefinition $_item
     * @return DhlApiStructArrayOfPiecedefinition
     */
    public function __construct($_item = NULL)
    {
        parent::__construct(array('item'=>$_item),false);
    }
    /**
     * Get item value
     * @return DhlApiStructPieceDefinition|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param DhlApiStructPieceDefinition $_item the item
     * @return DhlApiStructPieceDefinition
     */
    public function setItem($_item)
    {
        return ($this->item = $_item);
    }
    /**
     * Returns the current element
     * @see DhlApiWsdlClass::current()
     * @return DhlApiStructPieceDefinition
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see DhlApiWsdlClass::item()
     * @param int $_index
     * @return DhlApiStructPieceDefinition
     */
    public function item($_index)
    {
        return parent::item($_index);
    }
    /**
     * Returns the first element
     * @see DhlApiWsdlClass::first()
     * @return DhlApiStructPieceDefinition
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see DhlApiWsdlClass::last()
     * @return DhlApiStructPieceDefinition
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see DhlApiWsdlClass::last()
     * @param int $_offset
     * @return DhlApiStructPieceDefinition
     */
    public function offsetGet($_offset)
    {
        return parent::offsetGet($_offset);
    }
    /**
     * Returns the attribute name
     * @see DhlApiWsdlClass::getAttributeName()
     * @return string item
     */
    public function getAttributeName()
    {
        return 'item';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see DhlApiWsdlClass::__set_state()
     * @uses DhlApiWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return DhlApiStructArrayOfPiecedefinition
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
